คู่มือ aWhere
พัฒนาAPIcore-services

กลุ่ม

กลุ่มของผู้ใช้

สร้างกลุ่ม

PUT
/api/group

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
name?string

The name.

description?string

A description.

members?array<unknown>

The members: an array of { member, role }.

organization?string

The organization.

parent?string

The id of the folder.

props?

The properties of the thing, by kind.

extendedProps?

Properties that Apps add, kept as they are.

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/group" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "members": []}'
"string"

ลบหลายกลุ่ม

PUT
/api/group/delete

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
ids?array<unknown>

The ids of the Items, as an array.

Body ของคำตอบ

The answer.

application/json
  1. response

The id.

curl -X PUT "https://platform.example.com/api/group/delete" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "ids": []}'
"string"

แสดงกลุ่ม

GET
/api/group/explore

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Query

keyword?unknown

Words to look for.

skip?unknown

How many to skip.

limit?unknown

How many to return.

sortBy?unknown
sortOrder?unknown

Body ของคำตอบ

The answer.

application/json
  1. response
total?integer
data?array<unknown>
curl -X GET "https://platform.example.com/api/group/explore" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    null  ]}

ย้ายกลุ่ม

PUT
/api/group/move

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
ids*array<unknown>

The ids of the Items, as an array.

parent?string

The id of the folder.

Body ของคำตอบ

The answer.

application/json
  1. response

The ids.

[index: integer]?string
curl -X PUT "https://platform.example.com/api/group/move" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "ids": []}'
[  "string"]

อ่านกลุ่มหนึ่งกลุ่ม

GET
/api/group/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the group.

Body ของคำตอบ

The group.

application/json
  1. response
_id*string
name*string
description?string
parent?unknown
thumbnail?string
owner?unknown
members?array<unknown>
deletable?unknown
ค่าเริ่มต้นtrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/group/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "description": "string",  "parent": null,  "thumbnail": "string",  "owner": null,  "members": [    null  ],  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

ลบกลุ่ม

DELETE
/api/group/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the group.

Body ของคำขอ

application/json
  1. body
ids?array<unknown>

The ids of the Items, as an array.

Body ของคำตอบ

The answer.

application/json
  1. response

The id.

curl -X DELETE "https://platform.example.com/api/group/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "ids": []}'
"string"

แก้กลุ่ม

PUT
/api/group/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the group.

Body ของคำขอ

application/json
  1. body
[key: string]?any

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/group/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{}'
"string"

แสดงสมาชิกของกลุ่ม

GET
/api/group/{id}/members

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the group.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/group/$ID/members" \  -H "Authorization: Bearer $TOKEN"
ว่าง